#include <iostream>
#include <fstream>
#include <cctype> // provides bool isspace(char), 
                  // which provides a test for white space

using namespace std;

int
main(int argc, char** argv)
{
  const streamsize buffer_size = 1024;
  char Buffer[ buffer_size];
  
  if ( argc != 2 )
  { 
    cerr << "Usage: strip_of_comments inputfile" << endl;
    return 1;
  }
  ifstream F( argv[1] );
  int i;
  while( F.getline( Buffer, buffer_size))
  {
    int readin = F.gcount();
    for (i = 0; i < readin; ++i )
    {
      if ( Buffer[i] == '/' )
      { 
        if (( i+1 < readin) && ( Buffer[i+1] == '/')) 
        { break; }
      }
    }
    cout.write( Buffer, i-1);
    cout << endl;
  }
  return 0; 
}

